Bug 565725 - RFE: please include recent /var/log/messages output of crashed programs
Summary: RFE: please include recent /var/log/messages output of crashed programs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-16 02:50 UTC by Lennart Poettering
Modified: 2011-06-24 03:25 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:25:06 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2010-02-16 02:50:48 UTC
A lot of software writes output to syslog these days. It would be very useful if abrt crash reports would include that data. I think it should be feasible to grep /var/log/messages for all messages generated by the PID of the crashed program. I.e. if a process with pid 4711 crashes, then grep for \[4711\]: in /var/log/messages and attach that to the report.

Of course, not all apps log to syslog, and not all apps log with their PID. But for those which do this information could prove immensly useful. And if maintainers want syslog output in their abrt crash logs they should simply enable PID logging.

Comment 1 Bug Zapper 2010-03-15 15:05:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Denys Vlasenko 2011-05-10 15:37:23 UTC
Fixed in git by commit 09b5c4b42e9c75c523f4dc3a2036c33dfb5f234b

Comment 3 Bug Zapper 2011-06-02 16:29:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2011-06-21 13:45:12 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 5 Fedora Update System 2011-06-21 23:56:05 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-24 03:23:14 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.